package com.zd.laboratory.service;

import java.util.List;

import com.zd.laboratory.domain.LabContainer;

/**
 * 压力容器Service接口
 *
 * @author zd
 * @date 2021-09-01
 */
public interface ILabContainerService {
    /**
     * 查询压力容器
     *
     * @param id 压力容器主键
     * @return 压力容器
     */
    public LabContainer selectLabContainerById(Long id);

    /**
     * 查询压力容器列表
     *
     * @param labContainer 压力容器
     * @return 压力容器集合
     */
    public List<LabContainer> selectLabContainerList(LabContainer labContainer);

    /**
     * 新增压力容器
     *
     * @param labContainer 压力容器
     * @return 结果
     */
    public int insertLabContainer(LabContainer labContainer);

    /**
     * 修改压力容器
     *
     * @param labContainer 压力容器
     * @return 结果
     */
    public int updateLabContainer(LabContainer labContainer);

    /**
     * 批量删除压力容器
     *
     * @param ids 需要删除的压力容器主键集合
     * @return 结果
     */
    public int deleteLabContainerByIds(Long[] ids);

    /**
     * 删除压力容器信息
     *
     * @param id 压力容器主键
     * @return 结果
     */
    public int deleteLabContainerById(Long id);
}
